import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { useState, useEffect } from 'react';
import { ThemeProvider, BaseStyles, Box } from '@primer/react';
import { UnderlineNav } from '@primer/react/drafts';
import { ReactJsIcon as AboutIcon, NetworkIcon as PluginsIcon } from '@datalayer/icons-react';
import { ServerConnection } from '@jupyterlab/services';
import AboutTab from './tabs/AboutTab';
import PluginsTab from './tabs/PluginsTab';
import { requestAPI } from '../jupyter/JupyterHandlers';
const JupyterReact = () => {
    const [tab, setTab] = useState(1);
    const [version, setVersion] = useState('');
    useEffect(() => {
        requestAPI(ServerConnection.makeSettings(), 'jupyter_react', 'get_config')
            .then(data => {
            setVersion(data.version);
        })
            .catch(reason => {
            console.error(`The Jupyter Server jupyter_react extension appears to be missing.\n${reason}`);
        });
    });
    return (_jsx(_Fragment, { children: _jsx(ThemeProvider, { children: _jsx(BaseStyles, { children: _jsxs(Box, { style: { maxWidth: 700 }, children: [_jsx(Box, { mb: 3, children: _jsxs(UnderlineNav, { "aria-label": "jupyter-react", children: [_jsx(UnderlineNav.Item, { "aria-current": "page", icon: AboutIcon, onSelect: e => { e.preventDefault(); setTab(1); }, children: "About" }), _jsx(UnderlineNav.Item, { icon: PluginsIcon, onSelect: e => { e.preventDefault(); setTab(2); }, children: "Plugins" })] }) }), _jsxs(Box, { m: 3, children: [(tab === 1) && _jsx(AboutTab, { version: version }), (tab === 2) && _jsx(PluginsTab, {})] })] }) }) }) }));
};
export default JupyterReact;
//# sourceMappingURL=JupyterReact.js.map