import { jsx as _jsx } from "react/jsx-runtime";
import { useRef, useEffect } from 'react';
import { unmountComponentAtNode } from 'react-dom';
import { Widget } from '@lumino/widgets';
export const LuminoNotebook = (props) => {
    const { adapter } = props;
    const panel = adapter.panel;
    const ref = useRef(null);
    useEffect(() => {
        if (!panel) {
            return;
        }
        Widget.attach(panel, ref.current);
        return () => {
            try {
                unmountComponentAtNode(panel.node);
                if (panel.isAttached || panel.node.isConnected) {
                    adapter.dispose();
                    Widget.detach(panel);
                }
            }
            catch (e) {
                console.debug('Exception while detaching Lumino widget.', e);
            }
        };
    }, [adapter.uid]);
    return _jsx("div", { ref: ref });
};
export default LuminoNotebook;
//# sourceMappingURL=LuminoNotebook.js.map